Loading...
Searching...
No Matches
_PixelInfo Struct Reference

## Data Fields

ClassType | storage_class
ColorspaceType | colorspace
PixelTrait | alpha_trait
double | fuzz
size_t | depth
MagickSizeType | count
MagickRealType | red
MagickRealType | green
MagickRealType | blue
MagickRealType | black
MagickRealType | alpha
MagickRealType | index

## Detailed Description

Definition at line 181 of file pixel.h.

## Field Documentation

## alpha

MagickRealType _PixelInfo::alpha

Definition at line 206 of file pixel.h.

## alpha_trait

PixelTrait _PixelInfo::alpha_trait

Definition at line 190 of file pixel.h.

## black

MagickRealType _PixelInfo::black

Definition at line 205 of file pixel.h.

## blue

MagickRealType _PixelInfo::blue

Definition at line 204 of file pixel.h.

## colorspace

ColorspaceType _PixelInfo::colorspace

Definition at line 187 of file pixel.h.

## count

MagickSizeType _PixelInfo::count

Definition at line 199 of file pixel.h.

## depth

size_t _PixelInfo::depth

Definition at line 196 of file pixel.h.

## fuzz

double _PixelInfo::fuzz

Definition at line 193 of file pixel.h.

## green

MagickRealType _PixelInfo::green

Definition at line 203 of file pixel.h.

## index

MagickRealType _PixelInfo::index

Definition at line 207 of file pixel.h.

## red

MagickRealType _PixelInfo::red

Definition at line 202 of file pixel.h.

## storage_class

ClassType _PixelInfo::storage_class

Definition at line 184 of file pixel.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/pixel.h